<template>
<div>
  <player :current_video="currentvideo"/>

  <subscribe :img="img">
    <template slot="name">{{ name }}</template>
    <template slot="views">{{ views }}</template>
  </subscribe>

  <v-container fluid>
    <v-row>
      <v-col cols="6" sm="4" md="3" v-for="(post, i) in posts" :key="i">
        <box-video :img="post.img" :uri="post.uri">
          <template slot="title">{{ post.title }}</template>
          <template slot="category">{{ post.category }}</template>
        </box-video>
      </v-col>
    </v-row>
  </v-container>
</div>
</template>

<script>
export default {
  name: 'IndexDetail',
  layout: 'panel',
  head () {
    return {
      title: 'Video Detals',
      bodyAttrs: {
        class: 'alter-container'
      }
    }
  },
  data () {
    return {
      name: 'Maud Conner',
      views: 750,
      img: '/imgs/perfil.png',
      posts: [
        { title: 'Get Ready Fast For Fall Leaf Viewing Trips', category: 'Travel', uri: 'get-ready', img: '/imgs/thumb.png' },
        { title: 'Get Ready Fast For Fall Leaf Viewing Trips', category: 'Travel', uri: 'get-ready', img: '/imgs/thumb.png' },
        { title: 'Get Ready Fast For Fall Leaf Viewing Trips', category: 'Travel', uri: 'get-ready', img: '/imgs/thumb.png' },
        { title: 'Get Ready Fast For Fall Leaf Viewing Trips', category: 'Travel', uri: 'get-ready', img: '/imgs/thumb.png' }
      ]
      // current_video: {
      //   src: '/video.mp4',
      //   previewThumbnails: {
      //     enabled: true,
      //     src: '/imgs/destaque-dashboard.png'
      //   }
      // }
    }
  },
  created () {
    this.setTitle()
  },
  async asyncData ({ params, $axios }) {
    let currentvideo = null
    let user = null
    const dados = await $axios.get(`profile/${params.user}/${params.video}`)
    if (dados.data) {
      currentvideo = {
        src: dados.data.video.video,
        previewThumbnails: {
          enabled: true,
          src: dados.data.video.image
        }
      }
      user = dados.data.user
    }
    return { currentvideo, user }
  },
  methods: {
    setTitle () {
      this.$store.commit('config/setTitle', 'Video Detail')
    }
  }
}
</script>

<style>

</style>
